Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.definition
Enum DesktopDefinition.AsyncModeType

    java.lang.Object
      java.lang.Enum<DesktopDefinition.AsyncModeType>
          com.bea.netuix.application.definition.DesktopDefinition.AsyncModeType

All Implemented Interfaces
  Serializable, Comparable<DesktopDefinition.AsyncModeType>

Enclosing class:
  DesktopDefinition

    public static enum DesktopDefinition.AsyncModeType

extends Enum<DesktopDefinition.AsyncModeType>

Enum Constant Summary
`compat_9_2`
`disabled`
`enabled`

Method Summary
`static DesktopDefinition.AsyncModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DesktopDefinition.AsyncModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### enabled

    public static final DesktopDefinition.AsyncModeType enabled

### disabled

    public static final DesktopDefinition.AsyncModeType disabled

### compat_9_2

    public static final DesktopDefinition.AsyncModeType compat_9_2

Method Detail

### values

    public static final DesktopDefinition.AsyncModeType[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static DesktopDefinition.AsyncModeType valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.